Subject: [os2genau_digest] No. 2077
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Thu, 15 Sep 2011 00:00:14 WST-8WST,10,1,0,7200,4,1,0,7200,0

**************************************************
Wednesday 14 September 2011
 Number  2077
**************************************************

Subjects for today
 
1  Re:  main board comm ports support? : Dennis Nolan <dennis at jeg-og dot com>

**= Email   1 ==========================**

Date:  Wed, 14 Sep 2011 08:11:40 +1000
From:  Dennis Nolan <dennis at jeg-og dot com>
Subject:  Re:  main board comm ports support?

Hi

All from my suspect memory

COM ports are logical devices and need to be configured in the config sys

OS/2 defines at least 4 com ports: COM1, COM2, COM4 and COM4

Each com port needs to be assigned an interrupt and an address.

So each physical com port needs to be set to a specific IO address.

Each com port needs to be configured to use the IO address and an interupt.

There are only two interrupts allocated to com ports so the convention 
is to share interupts
Com1 and com3 use one interrupt and com 2 and 4 the other.

Look at early OS/2 version config.sys files for more.

If I recall correctly there were programs to optimize the config.sys 
file which allowed for more than 2 com ports.

I recall that there were available com port cards which had 8 or  16 com 
ports on them, so the inference is that they could all be used.

Dennis.

On 13/09/2011 7:45 PM, Voytek Eymont wrote:
> What about redirecting one com port to another, can I redirect say com 1 to say com 4? I vaguely recall being able to use com port over a lan on another PC
>
> Dennis Nolan<dennis at jeg-og dot com>  wrote:
>
>> Hi
>>
>>  From memory OS/2 had support for up to 4 com ports.
>>
>> I think there has to be something inserted into the config.sys to
>> enable
>> the com ports.
>>
>> Dennis.
>>
>>
>> On 13/09/2011 11:43 AM, Voytek wrote:
>>> does anyone has any experience with main board that have 4 comm ports
>> on
>>> main board running OS/2 ?
>>>
>>> does SIO or com.sys supports any of these boards (beyond com1/2)?
>>>
>>> --------------------------------------------------
>>>    
>>>    http://www./melbpc/  -  The Melbourne OS/2 SIG

>> --------------------------------------------------
>> 
>> http://www./melbpc/  -  The Melbourne OS/2 SIG
>===
> Voytek
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===